## ClutterTransitionGroup

ClutterTransitionGroup — Group transitions together

## Functions

ClutterTransition * | clutter_transition_group_new ()
void | clutter_transition_group_add_transition ()
void | clutter_transition_group_remove_transition ()
void | clutter_transition_group_remove_all ()

## Types and Values

| ClutterTransitionGroup
struct | ClutterTransitionGroupClass

## Object Hierarchy

        GObject
        ╰── ClutterTimeline
            ╰── ClutterTransition
                ╰── ClutterTransitionGroup

## Implemented Interfaces

ClutterTransitionGroup implements ClutterScriptable.

## Description

The ClutterTransitionGroup allows running multiple ClutterTransition instances concurrently.

The transitions inside a group will run within the boundaries of the group; for instance, if a transition has a duration of 10 seconds, and the group that contains it has a duration of 5 seconds, only the first 5 seconds of the transition will be played.

ClutterTransitionGroup is available since Clutter 1.12

## Functions

### clutter_transition_group_new ()

    ClutterTransition *
    clutter_transition_group_new (void);

Creates a new ClutterTransitionGroup instance.

#### Returns

the newly created ClutterTransitionGroup. Use `g_object_unref()` when done to deallocate the resources it uses

Since 1.12

### clutter_transition_group_add_transition ()

    void
    clutter_transition_group_add_transition
                                   (ClutterTransitionGroup *group,
                                    ClutterTransition *transition);

Adds `transition` to `group` .

This function acquires a reference on `transition` that will be released when calling `clutter_transition_group_remove_transition()`.

#### Parameters

group | a ClutterTransitionGroup |
transition | a ClutterTransition |

Since 1.12

### clutter_transition_group_remove_transition ()

    void
    clutter_transition_group_remove_transition
                                   (ClutterTransitionGroup *group,
                                    ClutterTransition *transition);

Removes `transition` from `group` .

This function releases the reference acquired on `transition` when calling `clutter_transition_group_add_transition()`.

#### Parameters

group | a ClutterTransitionGroup |
transition | a ClutterTransition |

Since 1.12

### clutter_transition_group_remove_all ()

    void
    clutter_transition_group_remove_all (ClutterTransitionGroup *group);

Removes all transitions from `group` .

This function releases the reference acquired when calling `clutter_transition_group_add_transition()`.

#### Parameters

group | a ClutterTransitionGroup |

Since 1.12

## Types and Values

### ClutterTransitionGroup

    typedef struct _ClutterTransitionGroup ClutterTransitionGroup;

The ClutterTransitionGroup structure contains private data and should only be accessed using the provided API.

Since 1.12

### struct ClutterTransitionGroupClass

    struct ClutterTransitionGroupClass {
    };

The ClutterTransitionGroupClass structure contains only private data.

Since 1.12